LX7 Puppy

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
Avatar
KuLuSz
Hozzászólások: 435
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2019.01.20. 12:18

Ma ránéztem már az évekóta nézegetett gtkrc hibára , amit a terminál ír ha elinditunk egy gtk dialogot . A probléma orvosolva lett . Csatolmányban a Murrina-LiNsta gtk téma konfig fájlja. A csatolmány nevéből távolítsuk el a .gz kiterjesztést és másoljuk be a :

/usr/share/themes/Murrina-LiNsta/gtk-2.0/ könyvtárba felülírva a gtkrc fájlt.

Az lx7 eredetileg ezzel a gtk témával érkezett a köztudatba.
Csatolmányok
gtkrc.gz
A csatolmány nevéből távolítuk el a .gz kiterjesztést
(24.43 KiB) Letöltve 25 alkalommal.
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.02.01. 19:09

Üdv!

Elkészült az LX7 Slice kiadás(ok)hoz a szerviz csomag 1.

puppylinux.hu link
sourceforge link
image-123_lx7sp1.png
image-123_lx7sp1.png (37.25 KiB) Megtekintve 513 alkalommal

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.07.24. 03:56

Üdv.:

2019.07.24-4:24:

Összefoglalva:

1. a rejtett véletlenszerű firefox megfagyás-megakadás maradt, azt a vezérlő billentyűk valamelyikével, a Ctrl vagy a Gépünk bekapcsoló gombjának egyszeri lenyomásával ugorhatjuk át.
2. fdrv-t megette úgy látom, szépen becsatolta a /lib/modules -be.
3. ezek ajándék perceknek tűnnek, gondoltam megörökítem, hogy 4.6.3 pae kernellel is tökéletesen megy, csak sajnos egyik mod iso sincs fent weben, így aki kernelt óhajt csereberélni, az a hibrid iso-ból tud jelenleg sourceforge-ról. Lévén hogy 32 bit pae a kernel a hozzá való kernel forrással és az 5.4.3-as devx-szel gyártható 1.5-ös getnvidiával hozzá driver sfs és vagy pet vagy bármi.
4. nem tudom, van e értelme álmokat dédelgetni ezzel a puplettel kapcsolatosan, de még működik...

Kép
Kép
Kép
Kép
Kép

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.08.03. 17:27

Sziasztok!

A lényeg:

Új LX7 verzió érhető el, melyek az én Puppy Linuxos fantázianevemet fémjelzik, (NOS) de ticoo1 és KuLuSz kolléga hozzájárulásával érte el jelenlegi formáját, melyben egy kis szeletet foglal el az amit én raktam hozzá KuLuSz és ticoo1 munkássága között. Szeretném felhívni ezúttal is a figyelmet, hogy mindenekelőtt teszteljünk! Biztosan lesznek olyan számítógépek melyeken egyáltalán nem, hibásan vagy teljesen jól működik. Kérem, hogy minden kedves felhasználó vegye figyelembe, mivel nem létezik 2 egyforma a világunkban, úgy a hardverek között is lehetnek eltérések, még ha típusra egyeznek is!

Magyarázat:

A „NOS-pup“ talán azért lett „NOS-pup“, mert én készítettem el a Slice kiadást is belőle, a legkitartóbban én erőltettem a vele való foglalkozást, illetve én kezdeményeztem egy lehetséges ráncfelvarrást ami a rendszert illeti. Lévén, hogy erre a feladatra önként volt vállalkozó ticoo1 kolléga személyében, minden nemű segítségéért csak hálával tartozhatok!

Miért az LX7?

Nos, erre a kérdésre csak azt tudom válaszolni, hogyha nekem minden más puplettel meggyűlt valami bajom, ezzel pedig a régisége ellenére nem, akkor vagy túlzottan ragaszkodó vagyok, vagy tényleg tud valamit a rendszer, ám a ragaszkodásomhoz hozzájárul az is, hogy a legtöbb munkám nekem ebben a rendszerben van. Bármi amit ezzel fejlesztettem működött, tanított és engem is fejlesztett. Az újakról sajnos ez számomra nem mondható el. A „bugonic"-nál KuLuSz is sokat küzdött, én a depmod hibája után tettem le végleg róla.
Nem véletlen, hogy szegény Xenial UKO -i után (Unidentified Kernel Object) kiérdemelte a „bugonic“ elnevezést. - Persze kritizálni úgy illene, hogyha tudok jobbat letenni az asztalra mint ami van... épp ezért én az előbb említett Xenial és "bugonic" problémákra tekintettel mivel nem találok azon kívül jobb megoldást, hogy kiadásra egy teljesen újragondolt puplet kerüljön, nem tudtam érdemben hozzá tenni. Ha épp egy valamit orvosoltam lett 10 másik új hiba s így elvette a kedvemet a puppy barkácsolástól. No... az LX7 se piskóta de eddig ez volt mégis a legtöbb próbámat kiálló puplet. Így talán érthetőbb a ragaszkodásom.


ticoo1 kolléga bravúrjainak hála, egy teljesen más LX7-et kapunk NOS-pup néven, mely talán még egy darabig túléli a régebbi libc verziókra és a 32 bit -re megvetett sorsot.

Legutolsó változatok itt érhetőek el pae ill nopae kernelekkel:

https://sourceforge.net/projects/puppys ... o/download

https://sourceforge.net/projects/puppys ... o/download

Ami ticoo1 által változtatásra került a Slice kiadáshoz képest:

újabb gépekhez 4.6.3-lxpup-32-pae kernel
régi gépekhez 3.14.20 nopae kernel
FAT32 használat esetén karakterhelyesen jelennek meg a betűk
magyar helyesírás ellenőrzés, ami immáron a két webböngészőben és az abiwordben is végre használható
redshift – mostanában elég népszerű linuxos színhőmérséklet állító szoftver
újabb ffmpeg 3.4.4 libmp3lame és libx264 támogatással
Firefox-68.0.1 (naprakész)
PaleMoon-28.6.1 (naprakész)
Pwidgets-2.5.8 JWM-hez
Abiword-3.0.0 (Abiword-2.8 helyett)
UExtract-3.33 univerzális kicsomagoló
PupMenu menükezelő-menüszerkesztő
DeadBeeF-0.7.2 zenelejátszó
Evince-2.32.0 dokumentummegjelenítő
Gimp-2.8.21 (a régebbi változat frissítése)
mpv
Gtk-youtube-viewer-3.5.0
Cacertificates-2019-03-08
Redshift monitor fényerejének beállítása (tálcán)
pFavorites, pBookmars, pRecent-files
Jobb egérgomb – Terminálból való futtatás és egyéb kiegészítők a rendszer működéséhez
Gtkdialog3
Gtkdialog4
Hard-info frissítve
Sys-info
K-info
PPM2
SNS
Gnome-alsamixer
új progik, scriptek kerültek bele, stb

ticoo1
Hozzászólások: 441
Csatlakozott: 2014.10.21. 08:58

Re: LX7 Puppy

Hozzászólás Szerző: ticoo1 » 2019.08.04. 05:27

Helló!

A „tuningolásunk“ áttekintésénél figyelembe kell venni, hogy az ...LX7 puppy alapja a „Precise-5.4„. Régi változat és ezt szerettük volna modernizálni, hogy biztonsággal fussanak rajta a legújabb 32 bites böngészők, frissíthetők legyenek, a beépített multimédiás rendszer, alkalmazások lehetőleg hibamentesen jelenítsenek meg mindent, játszanak le meg mindent.

Igen, nagy, de az új böngészők is nagyok (az FF és a Pmoon kb. 120 MB), az ffmpeg-3.4.4 kb. 60 MB (a méretek tömörítve értendők!) és tartalmaz egy wine-t, s sok más egyéb programot, mely a használatot kényelmessé teszi.

Csomagok, sfs-ek, pet-ek, stb. kibontásához, új csomagok készítéséhez javaslom az LX asztalon a ROX-filer fájlkezelő alkalmazását (menüből érhető el), de természetesen előtte a használni kívánt eszközt fel kell csatolni.

Csomagok telepítésekor figyeljünk arra, hogy ezen puppy menüszerkezete kissé eltér az általánosan használttól. Ezért előfordulhat, hogy a telepített program rossz helyen, vagy egyáltalán sehol sem jelenik meg a menüben, de ott van (terminálból indítható)! Ezért került bele a Menükezelő-szerkesztő program, melyben ez korrigálható.

Jelenleg az új általános telepítő, a „puppyinstaller"„ydrv"-ben van, mert ezt még teljességében nem teszteltük, ezért nincs beépítve.

Kérjük, aki esetleg időt szán rá, hogy minden tapasztalt hibát írjon meg nekünk. Fontos, mert ezen változtatások alapján modernizálhatunk más régebbi, de stabilan működő puppy-t is.

Pár kép:
5.jpg
5.jpg (161.29 KiB) Megtekintve 238 alkalommal
4.jpg
4.jpg (113.27 KiB) Megtekintve 238 alkalommal
2.jpg
2.jpg (116.89 KiB) Megtekintve 238 alkalommal

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.08.12. 09:56

Üdv!

Nem tudom az UPre alatt hogyan teljesít az új firefox, de emlékeim szerint jól. Viszont az LX7-es akadás társul még egy kellemetlen jelenséggel: Amikor jön, és Page Up vagy Page Down, vagy Home, vagy End gombokkal orvosolnánk, egy bal egérklikk is társul hozzá, s ahol volt az egérkurzor, ott alkalmazza is. Tehát ha ezt egy facebook-ozás kellős közepén éljük át, már pedig bárhol bármikor, akkor úgy elég kellemetlen a helyzet.

A probléma ugyan biztos, hogy LX7 hiba, de a gyökereit azért is gondolom, hogy a lib-gtk3 vagy simán gtk3 terén kellene keresni, mert amikor még épp nem volt gtk3-masítva a firefox, az az utolsó verzió még teljesen akadásmentesen jól futott az LX7-en. Hogy a lib-gtk3 -on kívül mi hiányzik még vagy hibás az LX7-ben ami gtk3, arról halovány lila gőzöm sincs. És arról sincs, hogy miért csak egér scroll-ozásnál történik...

Viszont van palemoon, amivel lehet elvileg Discord-ozni is, friss is, böngésző is, csak nem tudja a webrtc-t... amiért még volt tartva a firefox.

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.08.17. 14:00

Üdv!

ticoo1 kolléga hívta fel a figyelmemet az ESR firefox-ra. Erősen teszt tárgya még a dolog, de akik esetleg velem együtt adnának egy esélyt még a firefox-nak LX7 alatt, azoknak az ESR verziót ajánlom.

Az eljárás a következő:

Google: mozilla ftp

Releases mappában megkeressük a firefox-45.9.0esr.tar.bz2 fájlt, (a 45.9.0esr könyvtárán belül linux i686 >> hu) és letöltjük.
Kiexportáljuk a firefoxból a könyvjelzőinket, majd bezárjuk.
ROX fájlkezelő mindent mutattal, biztonsági mentjük a /root/.mozilla és /root/.cache/mozilla valamint /opt/firefox könyvtárakat mielőtt töröljük!
Töröljük a /root/.mozilla és /root/.cache/mozilla illetve /opt/firefox könyvtárakat!

PCManFM-mel másoljuk az /opt könyvtárba a letöltött bz2 fájlt. Majd PCManFM-ben jobb klikk kibontás ide, s futtatssuk a Menüből vagy wbar-ból a firefoxot.
Frissítsük, s konfigoljuk igény szerint, majd töröljük/helyezzük át merevlemezre a bz2 fájlt az /opt -ből.



Kép



Ismét hangsúlyozom, hogy mindenek előtt LIVE, RAM módban először teszteljünk!


Továbbá ha másnál sem jönne elő a wlan beállítás a hálózati kapcsolat varázslónál, az alábbi kódót mentse internet.sh néven az asztalra/merevlemezre, és tegye futtathatóvá, majd ezen keresztül használja!

Kód: Egész kijelölése

#!/bin/bash


cd /usr/sbin

./net-setup.sh



NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: LX7 Puppy

Hozzászólás Szerző: NTamas » 2019.08.17. 23:54

nocsak írta:
2019.08.17. 14:00
ticoo1 kolléga hívta fel a figyelmemet az ESR firefox-ra.
... megkeressük a firefox-45.9.0esr.tar.bz2 fájlt, (a 45.9.0esr könyvtárán belül linux i686 >> hu) és letöltjük. ...
Hmm, hogy is van ez?
A képen egy 60.8 Oesr verziót mutatsz, de letöltésre meg a régi, 45.9-es Oesr verziót ajánlod?
Akkor már inkább ezt kéne ajánlani.
https://archive.mozilla.org/pub/firefox ... x-i686/hu/
Kép

Ez legalább még rendesen megy minden weboldalon, a youtube-n is, -még a régi, Precise-571-es alatt is- igaz, ehhez már kell a pulse-audió-s mókolás.(meg legalább 1.5 MB RAM- de ha több van, az sem baj...)
Kép

nocsak
Hozzászólások: 176
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2019.08.18. 11:36

Frissítsük, s konfigoljuk igény szerint, majd töröljük/helyezzük át merevlemezre a bz2 fájlt az /opt -ből.

Ha frissítjük ezt kapod. Először 38 esr-t próbáltam leszedni, frissíteni de az túl korai volt neki. Az meg tök mindegy melyik régebbi esr-ről csinálod, ha egyszer erre frissíti fel magát. Ezek szerint nincs külön esr. 1 van. Tehát ha tudnál 38 esr-ről frissíteni, akkor is 60.8.0esr-t kapnál.

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: LX7 Puppy

Hozzászólás Szerző: NTamas » 2019.08.18. 12:43

Biztos igazad van!
Én két főverziószámváltáskor -38,40,42,44,46,48,50, és az 52- inkább leszedtem a linkelt oldalról az x.esr.tar.bz2 csomagokat, és azokat kibontva, a kibontott firefox könyvtárat kézzel bemásoltam az /opt/firefox-ba, (a régi firefox könyvtárat meg értelemszerűen töröltem) kézzel frissítettem az esr-verziókat. A hozzá tartozó profilkönyvtárat meg nem töröltem soha, hiszem ugyanazon FF-Oesr szériáról van szó, így a profilban lévő mentésfilék, telepített addonok igy tovább használhatóak lettek az újabb verzióban is. Ez addig ment így, amíg nem jött egy olyan verzió, ahol a fő FF frissítésnek megfelelően egyes addonokat már nem engedte, illetve a Kiegészítőkben pirossal kiemelve letiltotta azok használatát, lévén a hozzá szükséges API-kat a Mozilla kitiltotta az újabb FF-ekből. De az is igaz, hogy volt olyan kiegészítő, amit az újabb FF-be -amit friss telepítéssel raktam fel másik puppyba-, nos abba nem engedte újonnan telepíteni, de, ha meghagytam a régi profilt, + annak a könyvtárát, akkor abban a régi addon az új verzióban is tovább használható maradt. Ez a másik Mozilla termékben, a Palemoon-ban is így van, ott még jobban észlelhető a dolog, lévén a Kiegészítők oldalon a kérdéses addonok más színű jelöléssel -sárga és kék színnel, ha jól emlékszem- vannak megjelölve, és ún, verzió kompatibilis módban, de működnek. Csak egy példa, a kedvenc kiegészítőm, amit az FF-ben és a Palemoon-ban is előszeretettel használok, a Textarea Cashe nevű addon, az újabb ff ás Palemoon verziókra új telepítettekre nem tehető már fel, de, ha a régi profilt megtartod, benne a már telepített Textarea Cashe nevű addont is, úgy az tovább használható, kompatibilis módban. Sajnos ezt a kiegészítőt már nem írták át új verziókra, így ily módon vagyok kénytelen trükközni.
Az is igaz még továbbá, hogy az egyes FF-esr verziók hoz még sokáig nem kellett pl. a Pulse Audióval sem szenvedni, volt hang, már nem tudom, hogy melyik Oesr verziónál kellett már ezzel is foglalkozni, nem igazán emlékszem, de rémlik, hogy az 50.0 verziószámnál már kellett hozzá a PulseAudiós mókolás.
Ugyanez vonatkozik a gtk3-ra is, bizonyos verziók még elmentek a gtk2-vel, és egyes gtk3-at igénylők is, de pl. az 50.0 verzió számútól már jobb volt, ha a rendszereden a gt3 telepítve volt, ez is tapasztalat.
Amúgy, ha megnézed a fenti első sorban linkelt weboldalt, és az ott lévő Oesr verziókat, láthatod, hogy az 52.9 volt a választóvonal, utána már azonnal a 60.Oesr fő verzió következik, és pl. nálam erről a verzióról nem is frissített automatikusan fel a 60-as főverziós esr-re, azt csak új, kézi telepítéssel tudtam felrakni, de nem tetszett és inkább visszatértem az 52.9-re, évén a gépemen ez még elfogadhatóan megyeget, a 60-as verzió már bizony szaggatott rendesen, ez is tapasztalat, igaz ez is csak egyéni gond, leginkább gépfüggőség állhat mögötte.
Amúgy a FF és a Palemoon is megjegyzi a weboldalán, hogy bizonyos verziószámtól -ez pl. az FF-nél a Quantum széria- az újabb verzióra nem tudsz automatikusan frissíteni, azt kézzel kell elvégezni, a régi verzió törlésével egyetemben. És itt már a régi profilkönyvtárat is törölni kell, mert az újabb FF-Quantum más profilfájlokat használ, nem lehet a kettőt keverni.(lehet, de akkor váratlan működési zavarok léphetnek fel, írták is a weboldalukon)
A PaleMoon-nál meg eleve megírták, hogy a 27-es verzióról a 28-as verzióra nem működik a beépített update mechanizmus, azt csak kézzel lehet, és kell frissíteni.
Szóval nem véletlenül ajánlottam a Firefox esr verziónál azt, hogy az 52.9-es Hu verziót tedd fel, ha működik azon a kiszemelt Lx7 verzión, akkor jó, persze ehhez már ugye kell a gtk3, meg a Pulse Audió is, de így legalább alapból megúszod a frissítgetést, azonnal a legutolsó 52-es esr verziód lesz fenn, arra meg úgyis csak kézzel tudod majd a 60-as szériát ráfrissíteni.
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2019.08.18. 14:45-kor.

Válasz küldése

Vissza: “Pupletek”